Bug 527752 - [abrt] crash detected in blueman-1.10-4.fc12
[abrt] crash detected in blueman-1.10-4.fc12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:30e34dc9
: Reopened
: 533910 536772 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-07 11:24 EDT by Jared Smith
Modified: 2012-08-16 18:10 EDT (History)
35 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:10:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.00 KB, text/plain)
2009-10-07 11:24 EDT, Jared Smith
no flags Details

  None (edit)
Description Jared Smith 2009-10-07 11:24:49 EDT
abrt detected a crash.


How to reproduce
-----
1.
2.
3.


Additional information
======


Attached files
----
backtrace

cmdline
-----
/usr/bin/python /usr/bin/blueman-manager 


component
-----
blueman


executable
-----
/usr/bin/blueman-manager


kernel
-----
2.6.31.1-56.fc12.x86_64


package
-----
blueman-1.10-4.fc12


uuid
-----
30e34dc9
Comment 1 Jared Smith 2009-10-07 11:24:52 EDT
Created attachment 363990 [details]
File: backtrace
Comment 2 Jared Smith 2009-10-07 11:47:54 EDT
Hardware profile is available at http://www.smolts.org/client/show/pub_d8acf16d-0294-441a-b81f-c55ef7da9d1e, if it makes any difference.
Comment 3 Juan Manuel Rodriguez 2009-10-07 11:50:48 EDT
Thanks Jared! I'm checking it out and will report back upstream.
Comment 4 Bug Zapper 2009-11-16 08:22:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Juan Manuel Rodriguez 2009-12-01 12:52:58 EST
Fixed in 1.21. Please update your Blueman package.
Comment 6 Juan Manuel Rodriguez 2009-12-01 12:56:00 EST
*** Bug 536772 has been marked as a duplicate of this bug. ***
Comment 7 Juan Manuel Rodriguez 2009-12-01 12:56:08 EST
*** Bug 533910 has been marked as a duplicate of this bug. ***
Comment 8 Felix Möller 2010-01-03 19:04:22 EST
I hit this bug with blueman-1.21-2.fc12.i686 but abrt made me a duplicate of this... 

Summary: TB30e34dc9 utils.py:28:warp:DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "GetProperties" with signature "" on interface "org.bluez.Network" doesn't exist


Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/blueman/gui/manager/ManagerDeviceMenu.py", line 219, in on_device_property_changed
    self.Generate()
  File "/usr/lib/python2.6/site-packages/blueman/gui/manager/ManagerDeviceMenu.py", line 398, in Generate
    sprops = service.GetProperties()
  File "/usr/lib/python2.6/site-packages/blueman/bluez/utils.py", line 28, in warp
    raise errors.parse_dbus_error(exception)
DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "GetProperties" with signature "" on interface "org.bluez.Network" doesn't exist


Local variables in innermost frame:
exception: org.freedesktop.DBus.Error.UnknownMethod: Method "GetProperties" with signature "" on interface "org.bluez.Network" doesn't exist

args: ()
func: <dbus.proxies._ProxyMethod instance at 0x9e04f0c>
kwargs: {}
Comment 9 Runwalsoft 2010-03-19 09:22:47 EDT
even on updating I still see the same error. and Abrt saying its not a bug. some thing is still problem.
Comment 10 Doncho N. Gunchev 2010-06-06 23:59:57 EDT
Still here... Fedora 13 blueman-1.21-4.fc13.x86_64
Comment 11 Alex Smirnoff 2010-08-22 08:08:31 EDT
I confirm, still there blueman-1.21-2.fc12.x86_64 (i wonder why this pakage has not been updated as i run fc13). Happens on Lenovo x200s after suspend and wake up (it takes some time for bt to come online and seems that blueman cannot wait)
Comment 12 David Juran 2011-02-16 06:45:33 EST
abrt is claiming this is still happening with blueman-1.21-6.fc14
Comment 13 Agosh 2011-02-19 10:14:55 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Try to find bluetooth devices with HP Mini
Comment 14 Torbjørn Lindahl 2011-02-21 05:00:27 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. just about any cation on the bluetooth icon causes this crash
2.
3.
Comment 15 Chuck Lasher 2011-02-23 15:50:31 EST
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Reconnecting phone to laptop/bluetooth
2. turn off wifi-transceiver, reboot, log in, turn on wifi-transceiver....BOOM. crash
3.


Comment
-----
Phone is new and previously connected to this laptop. (FC13 - x86_64 - C2D V2 Sony VGN-aw230j
Phone connects same way, with same problem on FC-14 x86_64 Phenom II N850 2.2Ghz (HP dv7-4170 us) if transceiver off and then switched on AFTER pairing has been established.   Seems a DBus problem and also manifests w/ gvfs in FC-14 during file transfers (transfers don't complete every time).
Same laptops are ok with Win-7 pro 64-bit and Win Vista Home Premium 64-bit......  (hope this helps as 'windows' is a 'bad word' here. :) )
Comment 16 Ferry Huberts 2011-02-25 13:41:02 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I disabled bluetooth via the applet in the panel, right-click--> disable
2.
3.
Comment 17 Nicolas R. 2011-03-01 12:16:32 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
using blueman to connect iphone
Comment 18 Jim Shipman 2011-03-07 20:01:43 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I removed a device while it was still paired and connected.
2.
3.
Comment 19 saulo 2011-03-15 12:40:03 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. resyaryed network
2.
3.
Comment 20 Chuck Lasher 2011-03-16 18:36:59 EDT
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. while attempting to stop a data transfer (copy) from device -> linux which was losing speed
2. data xfer speed had decreased from 200 KB/sec -> 1.03 KB/sec  (device plugged in)
3. disconnected device (in blueman mgmt) and then turned off bluetooth adapter on laptop.
4. crash occured.  Is repeatable... new nokia phone and FC-13 x86_64 w/ current updates
Comment 21 Dennis Jakobsen 2011-03-26 07:20:59 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. just try to use bluetooth
2.
3.
Comment 22 marco 2011-03-30 18:44:58 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. ???
2.
3.
Comment 23 kuijstej 2011-04-26 16:43:04 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.I tried to connect a GPS receiver with this computer
2.
3.
Comment 24 kuijstej 2011-04-26 17:08:01 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.I tried to connect a GPS receiver with this computer
2.
3.
Comment 25 Alex Smirnoff 2011-05-05 06:16:50 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. waking up after suspend
2.
3.
Comment 26 Frank Danapfel 2011-05-25 05:42:24 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. woke laptop from sleep mode
2.
3.
Comment 27 Alex Smirnoff 2011-06-19 12:15:02 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. wake up thinkpad x200s from sleep
2.
3.
Comment 28 Alex Smirnoff 2011-07-08 03:13:31 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. wake lenovo x200s from sleep
2.
3.
Comment 29 Frank Danapfel 2011-07-21 04:53:35 EDT
After upgrading from Fedora 14 to Fedora 15 this problem has disappeared for me.
Comment 30 Chuck Lasher 2011-07-21 16:26:43 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. power up bluetooth/wifi combo adapter & make available at at boot
2. started bluetooth service from Service Configuration gui under System->Administration. (initial start failed, reason unknown)
3. immediately gave abrt as identified in comments below.


Comment
-----
text of what's in debug for blueman-1.21-6.FC14 (X86_64) ,
Kernel:  2.6.35.13-92.fc14.x86_64 #1 SMP Sat May 21 17:26:25 UTC 2011

DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1

Local variables in innermost frame:
exception: DBusException('Launch helper exited with unknown return code 1',)
args: (<blueman.bluez.Manager.Manager object at 0x11b8d50>,)
func: <function ListAdapters at 0xfb90c8>
kwargs: {}
Comment 31 Kevin L. Mitchell 2011-08-06 21:38:01 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Activate paired headset
2.
3.
Comment 32 Alex Smirnoff 2011-09-09 09:39:53 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. wake notebook from sleep
2.
3.
Comment 33 Robert V. Miciovici 2011-09-28 09:40:00 EDT
Package: blueman-1.21-8.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
tryied to make discoverable the computer - and the applet crashed
Comment 34 Mark T. Kennedy 2012-05-04 14:05:47 EDT
Package: blueman-1.21-8.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. nothing.  had an active connection that wasn't being used.
2.
3.
Comment 35 Fedora End Of Life 2012-08-16 18:10:25 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.